#ifndef TARGETABLELINESACTIONDIALOG_H
#define TARGETABLELINESACTIONDIALOG_H

/***************************************************************************
 *   Copyright (C) 2007-2008 by Sergio Pistone                             *
 *   sergio_pistone@yahoo.com.ar                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include "actiondialog.h"

#include <qwidget.h>

#include <klocale.h>

class QGridLayout;
class QGroupBox;
class QRadioButton;

namespace SubtitleComposer
{
	class TargetableLinesActionDialog : public ActionDialog
	{
		Q_OBJECT

		public:

			typedef enum { AllLines=0, Selection, FromSelected, UpToSelected, None } Target;

			bool isLinesTargetEnabled( Target target );
			void setLinesTargetEnabled( Target target, bool enabled );

			bool selectionTargetOnlyMode();
			void setSelectionTargetOnlyMode( bool value );

			Target linesTarget();

		public slots:

			virtual int exec();

		protected:

			TargetableLinesActionDialog( const QString& title, QWidget* parent=0 );

			QGroupBox* createLinesTargetGroupBox( const QString& title=i18n( "Target lines" ), bool addToLayout=true );

		protected:

			QGroupBox* m_linesTargetGroupBox;
			QGridLayout* m_linesTargetLayout;

			QRadioButton* m_linesTargetRadioButtons[None];

		private:

			const bool m_finalClass;
			bool m_selectedLinesOnlyMode;
			bool m_selectedLinesOldValue;
	};


	class FinalTargetableLinesActionDialog : public TargetableLinesActionDialog
	{
		Q_OBJECT

		public:

			FinalTargetableLinesActionDialog( const QString& title, QWidget* parent=0 );
			FinalTargetableLinesActionDialog( const QString& title, const QString& desc=i18n( "Target lines" ), QWidget* parent=0);

		public slots:

			virtual int exec();
	};
}

#endif
