#ifndef TARGETABLETEXTACTIONDIALOG_H
#define TARGETABLETEXTACTIONDIALOG_H

/***************************************************************************
 *   Copyright (C) 2007-2008 by Sergio Pistone                             *
 *   sergio_pistone@yahoo.com.ar                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include "targetablelinesactiondialog.h"
#include <subtitleline.h>

#include <qwidget.h>

#include <klocale.h>

class QGridLayout;
class QGroupBox;
class QRadioButton;

namespace SubtitleComposer
{
	class TargetableTextsActionDialog : public TargetableLinesActionDialog
	{
		Q_OBJECT

		public:

			bool isTextTargetEnabled( SubtitleLine::OpMode target );
			void setTextTargetEnabled( SubtitleLine::OpMode target, bool enabled );

			bool translationMode();
			void setTranslationMode( bool value );

			SubtitleLine::OpMode textTarget();

		public slots:

			int exec();

		protected:

			TargetableTextsActionDialog( const QString& title, QWidget* parent=0 );

			QGroupBox* createTextsTargetGroupBox( const QString& title=i18n( "Target subtitle" ), bool addToLayout=true );

		protected:

			QGroupBox* m_textsTargetGroupBox;
			QGridLayout* m_textsTargetLayout;

			QRadioButton* m_textsTargetRadioButtons[SubtitleLine::OpModeUNKNOWN];

		private:

			const bool m_finalClass;
			bool m_translationMode;
	};

	class FinalTargetableTextsActionDialog : public TargetableTextsActionDialog
	{
		Q_OBJECT

		public:

			FinalTargetableTextsActionDialog( const QString& title, QWidget* parent=0 );
			FinalTargetableTextsActionDialog( const QString& title, const QString& lDesc=i18n( "Target lines" ), const QString& tDesc=i18n( "Target subtitle" ), QWidget* parent=0 );

		public slots:

			int exec();
	};
}

#endif
