/***************************************************************************
 *   Copyright (C) 2007-2008 by Sergio Pistone                             *
 *   sergio_pistone@yahoo.com.ar                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include "application.h"

#include <qfile.h>

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kstandarddirs.h>

// #define BUILD_MAIN_TESTS
#ifdef BUILD_MAIN_TESTS
	#include "main_tests.h"
#else

static const char description[] =	I18N_NOOP( "A KDE subtitle editor" );
static const char version[] =		"0.4.1";
static KCmdLineOptions options[] =
{
	// { NAME, DESCRIPTION, DEFAULT }
	{ "+[Primary URL]", I18N_NOOP( "Open location as primary subtitle" ), 0 },
	{ "+[Translation URL]", I18N_NOOP( "Open location as translation subtitle" ), 0 },
	KCmdLineLastOption
};

int main( int argc, char** argv )
{
	KAboutData about(
		"subtitlecomposer",					// appName
		I18N_NOOP( "Subtitle Composer" ),	// programName
		version,							// version
		description,						// shortDescription
		KAboutData::License_GPL,			// licenseType
		"(C) 2006-2007 Sergio Pistone",		// copyrightStatement
		0,									// text
		0,									// homePageAddress
		"sergio_pistone@yahoo.com.ar"		// bugsEmailAddress
	);

	about.addAuthor( "Sergio Pistone", I18N_NOOP( "Author & mantainer" ), "sergio_pistone@yahoo.com.ar" );

	KCmdLineArgs::init( argc, argv, &about );
	KCmdLineArgs::addCmdLineOptions( options );
	SubtitleComposer::Application app;

	KCmdLineArgs* args = KCmdLineArgs::parsedArgs();
	app.mainWidget()->show();

	if ( args->count() )
		app.openSubtitle( KURL( QFile::decodeName( args->arg( 0 ) ) ) );

	if ( args->count() > 1 )
		app.openTrSubtitle( KURL( QFile::decodeName( args->arg( 1 ) ) ) );

	args->clear();

	return app.exec();
}

#endif // BUILD_MAIN_TESTS

