#ifndef KRECENTFILESACTIONEXT_H
#define KRECENTFILESACTIONEXT_H

/***************************************************************************
 *   Copyright (C) 2007-2008 by Sergio Pistone                             *
 *   sergio_pistone@yahoo.com.ar                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <qwidget.h>

#include <kurl.h>
#include <kaction.h>
#include <kactionclasses.h>
#include <kactioncollection.h>

/// Taken from KDELibs and rewritten almost entirely because the
/// KDE3 implementations is buggy and limited for our needs.
class KRecentFilesActionExt : public KSelectAction
{
	Q_OBJECT
	Q_PROPERTY( uint maxItems READ maxItems WRITE setMaxItems )

	public:

		KRecentFilesActionExt( QObject* parent=0, const char* name=0 );
		virtual ~KRecentFilesActionExt();

		virtual int plug( QWidget* widget, int index=-1 );

		bool hasItems() const;

		const KURL::List& urls() const;

		uint maxItems() const;

		bool ignoreURLQueryItems() const;

	public slots:

		void setURLs( const KURL::List& urls );

		void setMaxItems( uint maxItems );

		void setIgnoreURLQueryItems( bool value );

		void add( const KURL& url );
		void remove( const KURL& url );
		void clear();

		void loadEntries( KConfig* config, const QString& groupName=QString::null );
		void saveEntries( KConfig* config, const QString& groupName=QString::null );

	signals:

		void urlSelected( const KURL& url );

	protected slots:

		void onItemActivated( const QString& string );
		void onItemActivated( int id );
		void onPopupMenuAboutToShow();

		void slotClicked();
		virtual void slotActivated();

	protected:

		void setItems( QStringList& items );
		QStringList buildItems( const KURL::List& urls );
		void buildAndSetItems( const KURL::List& urls );

		virtual void virtual_hook( int id, void* data );

		uint m_maxItems;
		bool m_ignoreURLQueryItems;
		KPopupMenu* m_popup;

		KURL::List m_urls;
};

#endif
