#ifndef KTOGGLEACTIONEXT_H
#define KTOGGLEACTIONEXT_H

/***************************************************************************
 *   Copyright (C) 2007-2008 by Sergio Pistone                             *
 *   sergio_pistone@yahoo.com.ar                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <qwidget.h>
#include <qvaluelist.h>

#include <kactionclasses.h>
#include <kactioncollection.h>

class QToolButton;

class KToggleActionExt : public KToggleAction
{
	Q_OBJECT

	public:

		KToggleActionExt( KActionCollection* parent=0, const char* name=0 );
		KToggleActionExt( const KShortcut& defaultShortcut, KActionCollection* parent=0, const char* name=0 );

		virtual int plug( QWidget* widget, int index=-1 );
		virtual void unplug( QWidget* widget );

		virtual void setText( const QString& text );
		virtual void setText( const QString& offText, const QString& onText );
		virtual void setIconSet( const QIconSet& iconSet );
		virtual void setIcon( const QString& icon );

	public slots:

		virtual void setChecked( bool checked );

	protected:

		QString m_offText;
		QString m_onText;

		QValueList<QToolButton*> m_toolButtons;
};

#endif
