#ifndef POINTINGSLIDER_H
#define POINTINGSLIDER_H

/***************************************************************************
 *   smplayer, GUI front-end for mplayer.                                  *
 *   Copyright (C) 2007 Ricardo Villalba <rvm@escomposlinux.org>           *
 *                                                                         *
 *   modified for inclusion in Subtitle Composer                           *
 *   Copyright (C) 2007 by Sergio Pistone <sergio_pistone@yahoo.com.ar>    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif


#include <qglobal.h>
#if QT_VERSION > 0x040000
	#include <QSlider>
#else
	#include <qslider.h>
	#include <qwidgetplugin.h>
#endif

class PointingSlider : public QSlider
{
	Q_OBJECT

	public:

		PointingSlider( QWidget* parent=0 );
		PointingSlider( Orientation orientation, QWidget* parent=0 );
		PointingSlider( int minValue, int maxValue, int pageStep, int value, Orientation orientation, QWidget* parent=0 );

		~PointingSlider();

	protected:

		virtual void mousePressEvent( QMouseEvent* e );
};

#endif
