#ifndef TEXTEDIT_H
#define TEXTEDIT_H

/***************************************************************************
*   Copyright (C) 2007-2008 by Sergio Pistone                             *
*   sergio_pistone@yahoo.com.ar                                           *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <ktextedit.h>
#include <qwidgetplugin.h>

class KSpell;

class TextEdit : public KTextEdit
{
	Q_OBJECT

	public:

		TextEdit( QWidget* parent=0 );
		virtual ~TextEdit();

	public slots:

		void setText( const QString& text );
		void setSelection( int startIndex, int endIndex );

		void checkSpelling();

	protected slots:

		void toggleTabChangesFocus();

	protected:

		virtual QPopupMenu* createPopupMenu( const QPoint &pos );

	private slots:

		void onSpellCheckReady();
		void onWordMisspelled( const QString& text, const QStringList&, unsigned int pos );
		void onWordCorrected( const QString& oldWord, const QString& newWord, unsigned int pos );
		void onSpellCheckDone();
		void onSpellCheckCleanup();

	protected:

		KSpell* m_spell;
};

#endif
